petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSErrorWeightedENorm2

compute a weighted 2 error norm based on supplied absolute and relative tolerances

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedENorm2(TS ts,Vec E,Vec U,Vec Y,PetscReal *norm,PetscReal *norma,PetscReal *normr)

Collective on TS

### Input Arguments

| ts | - time stepping context
| E | - error vector
| U | - state vector, usually ts->vec_sol
| Y | - state vector, previous time step

### Output Arguments

norm -weighted norm, a value of 1.0 means that the error matches the tolerances
norma -weighted norm based on the absolute tolerance, a value of 1.0 means that the error matches the tolerances
normr -weighted norm based on the relative tolerance, a value of 1.0 means that the error matches the tolerances

### See Also

TSErrorWeightedENorm(), TSErrorWeightedENormInfinity()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages